package com.clx.performance.controller.pc;

import cn.hutool.json.JSONUtil;
import com.clx.performance.service.OrderChildService;
import com.clx.user.feign.DriverFeign;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Slf4j
@RestController
@RequestMapping("/pc/largescreen")
@Validated
@AllArgsConstructor
@Api(tags = "PC-大屏")
public class LargeScreenController {

    private final OrderChildService orderChildService;


    @ApiOperation(value = "空车列表", notes = "<br>By:胡宇帆")
    @GetMapping("/emptyCarList")
    public String emptyCarList() {
        return JSONUtil.toJsonStr(orderChildService.emptyCarList());
    }

    @ApiOperation(value = "重车列表", notes = "<br>By:胡宇帆")
    @GetMapping("/weightCarList")
    public String weightCarList() {
        return JSONUtil.toJsonStr(orderChildService.weightCarList());
    }

}